TABLE detInputExp, rawExp
TITLE detInputExp
FILE  detInputExp.php
MENU  ipp.detrend.dat

# limit this table to non-OBJECT types of images
WHERE detInputExp.exp_id = rawExp.exp_id

ARGS  ARG1  rawImfile.exp_id=$detInputExp.exp_id

ARGS  ARG2  detResidImfile.exp_id=$detInputExp.exp_id
ARGS  ARG2  detResidImfile.det_id=$detInputExp.det_id
ARGS  ARG2  detResidImfile.iteration=$detInputExp.iteration

ARGS  ARG2  detProcessedImfile.exp_id=$detInputExp.exp_id
ARGS  ARG2  detProcessedImfile.det_id=$detInputExp.det_id
ARGS  ARG2  detProcessedImfile.iteration=$detInputExp.iteration

HEAD PHP if ($_GET['detInputExp_det_id']) { 
HEAD PHP   echo "<a href=detResidExp.php?" . $ID['link'] . "> resid </a>";
HEAD PHP   echo "<a href=detProcessedExp.php?" . $ID['link'] . "> proc </a>"; }

#     field                size  format  name        show         link to                 extras
FIELD detInputExp.det_id,     7, %s,     Det ID
FIELD detInputExp.iteration,  5, %s,     iteration
FIELD detInputExp.exp_id,     5, %s,     Exp ID,     value,       rawImfile.php,          ARG1
FIELD rawExp.exp_name,        5, %s,     Exp Name,   value,       rawImfile.php,          ARG1
FIELD detInputExp.include,    3, %t,     include
FIELD rawExp.telescope,      10, %s,     Telescope
FIELD rawExp.camera,         10, %s,     Camera
FIELD rawExp.exp_type,       10, %s,     Type    
FIELD rawExp.filter,         10, %s,     FILTER
FIELD rawExp.dateobs,        19, %T,     Date/Time
FIELD rawExp.exp_time,        5, %.2f,   exp_time    
FIELD rawExp.sat_pixel_frac,  5, %.2f,   f(sat pixels)
FIELD rawExp.airmass,         5, %.4f,   airmass     
FIELD rawExp.bg,              5, %.2f,   backgnd
FIELD rawExp.bg_stdev,        5, %.2f,   stdev    
FIELD rawExp.bg_mean_stdev,   5, %.2f,   &lt;backgnd&gt;
FIELD *,                      5, %s,     choose,     value=resid, detResidImfile.php,     ARG2
FIELD *,                      5, %s,     choose,     value=proc,  detProcessedImfile.php, ARG3

TD_CLASS det_off  $detInputExp.include == 0
