TABLE detNormalizedExp, detRun
TITLE detNormalizedExp Failures
FILE  detNormalizedExp_failure.php
MENU  ipp.detrend.dat

# the following WHERE clauses are added to all queries joined by AND
WHERE detNormalizedExp.det_id = detRun.det_id
WHERE detNormalizedExp.fault  > 0

ARGS  ARG2 det_id=$detNormalizedExp.det_id
ARGS  ARG2 iteration=$detNormalizedExp.iteration
ARGS  ARG2 basename=$detNormalizedExp.path_base
ARGS  ARG2 camera=$detRun.camera

#     field        		      size   format  name     show          link to                  extras
FIELD detNormalizedExp.det_id,        7,     %s,     det_id
FIELD detNormalizedExp.bg,            8,     %s,     backgnd
FIELD detNormalizedExp.bg_mean_stdev, 8,     %s,     [stdev]
FIELD detNormalizedExp.bg_stdev,      8,     %s,     stdev
FIELD detNormalizedExp.iteration,     5,     %s,     iteration
FIELD detNormalizedExp.path_base,     20,    %s,     path_base, none
FIELD detRun.camera,                  20,    %s,     camera,    none
