TABLE detProcessedImfile, rawExp
TITLE detProcessedImfile
FILE  detProcessedImfile.php
MENU  ipp.imfiles.dat

# the following WHERE clauses are added to all queries joined by AND
WHERE detProcessedImfile.exp_id = rawExp.exp_id

#     field                          size  format  name      show   link to     extras
FIELD detProcessedImfile.det_id,        7, %s,     Det ID
FIELD detProcessedImfile.exp_id,        5, %s,     Exp ID
FIELD rawExp.exp_name,                  5, %s,     Exp Name
FIELD detProcessedImfile.class_id,      8, %s,     Chip ID
FIELD detProcessedImfile.fault,         5, %d,     fault
FIELD detProcessedImfile.bg, 	        8, %f,     backgnd
FIELD detProcessedImfile.bg_stdev,      8, %s,     stdev
FIELD detProcessedImfile.bg_mean_stdev, 8, %s,     [stdev]
FIELD detProcessedImfile.path_base,     10, %s,     path_base

TD_CLASS det_off $detProcessedImfile.fault > 0

TAIL PHP insert_image ('PPIMAGE.JPEG1');
TAIL PHP insert_log ('LOG.EXP');

