TABLE rawExp
TITLE Raw Detrend Exposures
FILE  rawDetrendExp.php
MENU  ipp.load.dat

# limit this table to non-OBJECT types of images
WHERE (rawExp.exp_type != 'OBJECT' and rawExp.exp_type != 'LIGHT')

ARGS ARG1 exp_id=$exp_id

#        field        	size  format  name       show     link to         extras
FIELD    exp_id,      	 5,   %d,     Exp ID
FIELD    exp_name,    	 8,   %s,     Exp Name,  value,   rawImfile.php,  ARG1
FIELD    telescope,   	 8,   %s,     Telescope
FIELD    camera,      	 8,   %s,     Camera
FIELD    exp_type,    	 8,   %s,     Type    
FIELD    dateobs,     	19,   %T,     Date/Time
FIELD    filter,      	10,   %s,     FILTER
FIELD    airmass,      	 5,   %.2f,   airmass     
FIELD    exp_time,    	 5,   %.2f,    exp_time    
FIELD    ccd_temp,       5,   %.2f,   ccd_temp
FIELD    sat_pixel_frac, 5,   %.4f,   f(sat pixels)
FIELD    bg,           	 5,   %.2f,   backgnd
FIELD    bg_stdev,     	 5,   %.2f,   stdev    
FIELD    bg_mean_stdev,  5,   %.2f,   &lt;backgnd&gt;
