TABLE rawExp
TITLE Raw Detrend Exposures
FILE  rawDetrendExp_detrend.php
MENU  ipp.detrend.dat

# limit this table to non-OBJECT types of images
WHERE rawExp.exp_type != 'OBJECT'

ARGS ARG1 exp_id=$exp_id

#        field        	size  format  name           show     link to         extras
FIELD    exp_id,      	 5,   %d,     Exp ID
FIELD    exp_name,    	10,   %s,     Exp Name,     value,   rawImfile.php,  ARG1
FIELD    telescope,   	10,   %s,     Telescope
FIELD    camera,      	10,   %s,     Camera
FIELD    exp_type,    	10,   %s,     Type    
FIELD    filter,      	10,   %s,     FILTER
FIELD    dateobs,     	19,   %T,     Date/Time
FIELD    exp_time,    	 5,   %.2f,   exp_time    
FIELD    sat_pixel_frac, 5,   %.2f,   f(sat pixels)
FIELD    airmass,      	 5,   %.4f,   airmass     
FIELD    bg,           	 5,   %.2f,   backgnd
FIELD    bg_stdev,     	 5,   %.2f,   stdev    
FIELD    bg_mean_stdev,  5,   %.2f,   &lt;backgnd&gt;
