TABLE rawImfile
TITLE Failed Raw Image Files
FILE  rawImfile.php
MENU  ipp.load.dat

HEAD PHP insert_backref ("rawExp.php", "exp_id", $ID['link']);
WHERE fault > 0

OP   OP1  $ra * 57.295783
OP   OP2  $decl * 57.295783

#        field       size  format  name    show         link to         extras
FIELD    exp_id,        5, %s,        Exp ID
FIELD    exp_name,      5, %s,        Exposure
FIELD    class_id,      8, %s,        Chip ID
FIELD    ra,           8,  %10.6f, RA,           op=OP1      
FIELD    decl,         8,  %10.6f, DEC,          op=OP2
FIELD    bg,	        8, %s,        backgnd
FIELD    bg_stdev,      8, %s,        stdev
FIELD    bg_mean_stdev, 8, %s,        [stdev]
FIELD    uri,	       10, %s,        uri
# FIELD    class,      20, %s,        Class
# FIELD    uri,	      20,   uri
# FIELD    exp_type,  20,   exp_type
# FIELD    filter,    20,   filter
# FIELD    airmass,   20,   airmass
# FIELD    ra,	      20,   ra
# FIELD    decl,      20,   decl
# FIELD    exp_time,  20,   exp_time
# FIELD    alt,       20,   alt
# FIELD    az,	      20,   az
# FIELD    ccd_temp,  20,   ccd_temp
# FIELD    posang,    20,   posang
# FIELD    object,    20,   object
