/* @file  pmKapaPlots.h
 * @brief functions to make plots with the external program 'kapa' 
 *
 * @author EAM, IfA
 *
 * @version $Revision: 1.1 $ $Name: ipp-magic-v0-0 $
 * @date $Date: 2008/11/08 01:52:34 $
 * Copyright 2006 Institute for Astronomy, University of Hawaii
 */

#ifndef PM_SOURCE_VISUAL_H
#define PM_SOURCE_VISUAL_H

/// @addtogroup Extras Miscellaneous Funtions
/// @{

bool pmSourceSetVisual (bool mode);
bool pmSourceVisualPSFModelResid (pmTrend2D *trend, psVector *x, psVector *y, psVector *param, psVector *mask);

/// @}
#endif // PM_KAPA_PLOTS_H
