# include "uniphot.h"

void initialize (int argc, char **argv) {

  /* are these set correctly? */
  ConfigInit (&argc, argv);
  args (argc, argv);

  if ((photcode = GetPhotcodebyName (argv[1])) == NULL) {
    fprintf (stderr, "ERROR: photcode not found in photcode table\n");
    exit (1);
  }
  if ((photcode[0].type == PHOT_DEP) && (photcode[0].type == PHOT_REF)) {
    fprintf (stderr, "photcode must be primary or secondary type\n");
    exit (1);
  }

  IMAGE_BAD = ID_IMAGE_NOCAL | ID_IMAGE_POOR | ID_IMAGE_SKIP | ID_IMAGE_FEW;

  initstats (STATMODE);
}

