TABLE detNormalizedExp, detRun
TITLE detNormalizedExp
FILE  detNormalizedExp.php
MENU  ipp.detrend.dat

# the following WHERE clauses are added to all queries joined by AND
WHERE detNormalizedExp.det_id    = detRun.det_id
# WHERE detNormalizedExp.iteration = detRun.iteration

# define image names to be used below
# IMAGE VAR basename filerule camera class_id
IMAGE JPEG2 $detNormalizedExp.path_base PPIMAGE.JPEG2 $detRun.camera NONE

ARGS  ARG2 det_id=$detNormalizedExp.det_id
ARGS  ARG2 iteration=$detNormalizedExp.iteration
ARGS  ARG2 basename=$detNormalizedExp.path_base
ARGS  ARG2 camera=$detRun.camera

#     field        		      size   format  name     show          link to                  extras
FIELD detNormalizedExp.det_id,        7,     %s,     det_id
FIELD detNormalizedExp.bg,            8,     %s,     backgnd
FIELD detNormalizedExp.bg_mean_stdev, 8,     %s,     [stdev]
FIELD detNormalizedExp.bg_stdev,      8,     %s,     stdev
FIELD detNormalizedExp.iteration,     5,     %s,     iteration
FIELD *,             		      8,     %s,     image,     image=JPEG2,  detNormalizedImfile.php, ARG2
FIELD detNormalizedExp.path_base,     20,    %s,     path_base, none
FIELD detRun.camera,                  20,    %s,     camera,    none
