TABLE detResidImfile, rawImfile
TITLE detResidImfile
FILE  detResidImfile.php
MENU  ipp.imfiles.dat

# the following WHERE clauses are added to all queries joined by AND
WHERE detResidImfile.exp_id = rawImfile.exp_id
WHERE detResidImfile.class_id = rawImfile.class_id

#     field                      size  format  name        show  link to     extras
FIELD detResidImfile.det_id,        7, %s,      Det ID
FIELD detResidImfile.iteration,     5, %s,      iter
FIELD detResidImfile.exp_id,        5, %s,      Exp ID
FIELD rawImfile.exp_name,           5, %s,      Exp Name
FIELD detResidImfile.class_id,      8, %s,      Chip ID
FIELD detResidImfile.bg,            8, %s,      backgnd
FIELD detResidImfile.bg_stdev,      8, %s,      bg stdev
FIELD detResidImfile.bg_mean_stdev, 8, %s,      [stdev]
FIELD rawImfile.ccd_temp,           5, %s,      CCD Temp
FIELD detResidImfile.fault,         5, %s,      fault
FIELD detResidImfile.path_base,     5, %s,      path_base
FIELD detResidImfile.uri,           5, %s,      uri

TAIL PHP insert_image ('PPIMAGE.JPEG1');
TAIL PHP insert_log ('LOG.EXP');
