TABLE rawImfile
TITLE Raw Image File
FILE  rawImfile.php
MENU  ipp.imfiles.dat

# HEAD PHP insert_backref ("rawExp.php", "exp_id", $ID['link']);

OP   OP1  $ra * 57.295783
OP   OP2  $decl * 57.295783

#        field                 size  format   name          show         link to         extras
FIELD    rawImfile.exp_name,      5, %s,      Exposure
FIELD    rawImfile.class_id,      8, %s,      Chip ID
FIELD    rawImfile.exp_id,        5, %d,      Exp ID
FIELD    rawImfile.telescope,    10, %s,      Telescope
FIELD    rawImfile.camera,       10, %s,      Camera
FIELD    rawImfile.exp_type,      8, %s,      exp_type
FIELD    rawImfile.dateobs,      19, %T,      Date/Time
FIELD    rawImfile.ra,            8, %10.6f,  RA,           op=OP1      
FIELD    rawImfile.decl,          8, %10.6f,  DEC,          op=OP2
FIELD    rawImfile.object,        8, %s,      object
FIELD    rawImfile.filter,       10, %s,      FILTER
FIELD    rawImfile.airmass,       5, %.4f,    airmass     
FIELD    rawImfile.exp_time,      5, %.2f,    exp_time    
FIELD    rawImfile.ccd_temp,      5, %.2f,    ccd_temp
FIELD    rawImfile.bg,            8, %.2f,    backgnd
FIELD    rawImfile.bg_stdev,      8, %.2f,    stdev
FIELD    rawImfile.bg_mean_stdev, 8, %.2f,    [stdev]
FIELD    rawImfile.uri,          10, %s,      uri

# FIELD    alt,       20,   alt
# FIELD    az,        20,   az
# FIELD    posang,    20,   posang
# FIELD    object,    20,   object
