TABLE rawExp
TITLE Raw Unknown Exposures
FILE  rawUnknownExp.php
MENU  ipp.load.dat

# limit this table to non-OBJECT types of images
WHERE rawExp.exp_type is NULL

ARGS ARG1 exp_id=$exp_id

OP   OP1  $ra * 57.295783
OP   OP2  $decl * 57.295783

#        field        size  format  name           show     link to        extras
FIELD    exp_id,       5,   %s,     Exp ID
FIELD    exp_name,    10,   %s,     Exp Name,     value,   rawImfile.php,  ARG1
FIELD    exp_type,     8,   %s,     Type    
FIELD    telescope,   10,   %s,     Telescope
FIELD    camera,      10,   %s,     Camera
FIELD    dateobs,     19,   %T,     Date/Time
FIELD    ra,           8,  %10.6f, RA,           op=OP1      
FIELD    decl,         8,  %10.6f, DEC,          op=OP2
FIELD    object,       8,   %s,     object
FIELD    filter,      10,   %s,     FILTER
FIELD    exp_time,     5,   %s,     exp_time    
FIELD    airmass,      5,   %s,     airmass     
FIELD    bg,           5,   %s,     backgnd
FIELD    bg_stdev,     5,   %s,     stdev    
# FIELD  bg_mean_stdev, 5,  %s,     &lt;backgnd&gt;
# FIELD  ra,           8,   %s,     ra          
# FIELD  decl,         8,   %s,     decl        
# FIELD  imfiles,     20,   %s,     imfiles     
# FIELD  airmass,     20,   %s,     airmass     
# FIELD  bg_mean_stdev, 20, %s,     bg_mean_stdev   
# FIELD  alt,         20,   %s,     alt         
# FIELD  az,	      20,   %s,     az          
# FIELD  ccd_temp,    20,   %s,     ccd_temp    
# FIELD  posang,      20,   %s,     posang      
