TABLE warpSkyCellMap, warpRun, camProcessedExp, chipRun, rawExp
TITLE warpSkyCellMap
FILE  warpSkycellMap.php
MENU  ipp.science.dat

WHERE warpSkyCellMap.warp_id     = warpRun.warp_id
WHERE warpSkyCellMap.cam_id      = camProcessedExp.cam_id
WHERE camProcessedExp.chip_id    = chipRun.chip_id
WHERE chipRun.exp_id = rawExp.exp_id

OP   OP1  $rawExp.ra * 57.295783
OP   OP2  $rawExp.decl * 57.295783

#        field                      size  format  name           show     link to         extras
FIELD    chipRun.exp_id,  	      5,    %s,     Exp ID
FIELD    rawExp.exp_name,             5,    %s,     Exp Name
FIELD    chipRun.chip_id, 	      5,    %s,     Chip ID
FIELD    camProcessedExp.cam_id,      5,    %s,     Cam ID
FIELD    warpSkyCellMap.warp_id,      5,    %s,     Warp ID
FIELD    warpRun.state,               5,    %s,     State
FIELD    warpRun.label,               5,    %s,     Label
FIELD    warpSkyCellMap.skycell_id,   5,    %s,     Skycell ID
FIELD    warpSkyCellMap.tess_id,      5,    %s,     Tessellation ID
FIELD    warpSkyCellMap.class_id,     5,    %s,     Class ID
FIELD    rawExp.telescope,            10,   %s,     Telescope
FIELD    rawExp.camera,               10,   %s,     Camera
FIELD    rawExp.dateobs,              19,   %T,     Date/Time
FIELD    rawExp.ra,                    8,   %10.6f, RA,           op=OP1      
FIELD    rawExp.decl,                  8,   %10.6f, DEC,          op=OP2
FIELD    rawExp.object,                8,   %s,     Object
FIELD    rawExp.filter,               10,   %s,     Filter
FIELD    rawExp.exp_time,              5,   %.2f,   exptime    
FIELD    rawExp.airmass,               5,   %.4f,   airmass
FIELD    rawExp.bg,                    5,   %.2f,   bg
FIELD    rawExp.bg_stdev,              5,   %.2f,   bg_stdev
