# ifdef HAVE_CONFIG_H
# include <config.h>
# endif

#ifndef PSPHOT_DETECT_H
#define PSPHOT_DETECT_H

#include <stdio.h>
#include <pslib.h>
#include <psmodules.h>
#include "psphot.h"

// Top level functions
pmConfig   *psphotDetectArguments(int argc, char **argv);
bool        psphotDetectParseCamera (pmConfig *config);
bool        psphotDetectImageLoop (pmConfig *config);
bool        psphotDetectReadout(pmConfig *config, const pmFPAview *view);

bool        psphotMosaicChip(pmConfig *config, const pmFPAview *view, char *outFile, char *inFile);
void        psphotCleanup (pmConfig *config);
psExit      psphotGetExitStatus ();

#endif
